Index: branches/1.4/gui/scripts/flowvisviewer.tcl
===================================================================
--- branches/1.4/gui/scripts/flowvisviewer.tcl	(revision 5096)
+++ branches/1.4/gui/scripts/flowvisviewer.tcl	(revision 5101)
@@ -1,6 +1,5 @@
-# -*- mode: tcl; indent-tabs-mode: nil -*- 
+# -*- mode: tcl; indent-tabs-mode: nil -*-
 # ----------------------------------------------------------------------
 #  COMPONENT: flowvisviewer - 3D flow rendering
-#
 #
 # This widget performs volume and flow rendering on 3D scalar/vector datasets.
@@ -65,6 +64,6 @@
     public method limits { cname }
     public method overMarker { m x }
-    public method parameters {title args} { 
-        # do nothing 
+    public method parameters {title args} {
+        # do nothing
     }
     public method removeDuplicateMarker { m x }
@@ -89,9 +88,9 @@
     private method CurrentVolumeIds {{what -all}}
     private method Disconnect {}
-    private method EventuallyResize { w h } 
-    private method EventuallyGoto { nSteps } 
-    private method EventuallyResizeLegend { } 
+    private method EventuallyResize { w h }
+    private method EventuallyGoto { nSteps }
+    private method EventuallyResizeLegend { }
     private method FlowCmd { dataobj comp nbytes extents }
-    private method GetDatasetsWithComponent { cname } 
+    private method GetDatasetsWithComponent { cname }
     private method GetFlowInfo { widget }
     private method GetMovie { widget width height }
@@ -103,5 +102,5 @@
     private method ParseLevelsOption { tf levels }
     private method ParseMarkersOption { tf markers }
-    private method QuaternionToView { q } { 
+    private method QuaternionToView { q } {
         foreach { _view(-qw) _view(-qx) _view(-qy) _view(-qz) } $q break
     }
@@ -117,15 +116,15 @@
     private method Slice {option args}
     private method SlicerTip {axis}
-    private method ViewToQuaternion {} { 
+    private method ViewToQuaternion {} {
         return [list $_view(-qw) $_view(-qx) $_view(-qy) $_view(-qz)]
     }
     private method WaitIcon { option widget }
     private method Zoom {option}
-    private method arrows { tag name } 
-    private method box { tag name } 
-    private method millisecs2str { value } 
-    private method particles { tag name } 
-    private method str2millisecs { value } 
-    private method streams { tag name } 
+    private method arrows { tag name }
+    private method box { tag name }
+    private method millisecs2str { value }
+    private method particles { tag name }
+    private method str2millisecs { value }
+    private method streams { tag name }
 
     private variable _arcball ""
@@ -133,29 +132,25 @@
     private variable _allDataObjs
     private variable _obj2ovride   ;# maps dataobj => style override
-    private variable _serverObjs   ;# maps dataobj-component to volume ID 
+    private variable _serverObjs   ;# maps dataobj-component to volume ID
                                     # in the server
-    private variable _recvObjs  ;# list of data objs to send to server
+    private variable _recvObjs     ;# list of data objs to send to server
     private variable _obj2style    ;# maps dataobj-component to transfunc
-    private variable _style2objs   ;# maps tf back to list of 
+    private variable _style2objs   ;# maps tf back to list of
                                     # dataobj-components using the tf.
-    private variable _obj2flow;         # Maps dataobj-component to a flow.
-
-    private variable _reset 1;		# Connection to server has been reset 
+    private variable _obj2flow;     # Maps dataobj-component to a flow.
+
+    private variable _reset 1      ;# Connection to server has been reset
     private variable _click        ;# info used for rotate operations
     private variable _limits       ;# autoscale min/max for all axes
     private variable _view         ;# view params for 3D view
-    private variable _isomarkers    ;# array of isosurface level values 0..1
+    private variable _isomarkers   ;# array of isosurface level values 0..1
     private common   _settings
     private variable _activeTf ""  ;# The currently active transfer function.
     private variable _first ""     ;# This is the topmost volume.
-    private variable _volcomponents   ; # Array of components found 
-    private variable _componentsList   ; # Array of components found 
+    private variable _volcomponents   ;# Array of components found
+    private variable _componentsList  ;# Array of components found
     private variable _nextToken 0
     private variable _icon 0
     private variable _flow
-    # This 
-    # indicates which isomarkers and transfer
-    # function to use when changing markers,
-    # opacity, or thickness.
     private common _downloadPopup          ;# download options from popup
 
@@ -198,5 +193,5 @@
     $_dispatcher register !play
     $_dispatcher dispatch $this !play "[itcl::code $this flow next]; list"
-    
+
     # Draw legend event
     $_dispatcher register !goto
@@ -239,5 +234,5 @@
         $this-qy                $_view(-qy)
         $this-qz                $_view(-qz)
-        $this-zoom              $_view(-zoom)    
+        $this-zoom              $_view(-zoom)
         $this-xpan              $_view(-xpan)
         $this-ypan              $_view(-ypan)
@@ -346,5 +341,5 @@
         [itcl::code $this EventuallyResizeLegend]
 
-    # Hack around the Tk panewindow.  The problem is that the requested 
+    # Hack around the Tk panewindow.  The problem is that the requested
     # size of the 3d view isn't set until an image is retrieved from
     # the server.  So the panewindow uses the tiny size.
@@ -354,9 +349,9 @@
         0,0 $itk_component(3dview) -fill both -reqwidth $w \
         1,0 $itk_component(legend) -fill x
-    blt::table configure $itk_component(plotarea) r1 -resize none    
+    blt::table configure $itk_component(plotarea) r1 -resize none
     # Create flow controls...
 
     itk_component add flowcontrols {
-        frame $itk_interior.flowcontrols 
+        frame $itk_interior.flowcontrols
     } {
         usual
@@ -405,5 +400,5 @@
             -offimage [Rappture::icon flow-play] \
             -variable [itcl::scope _settings($this-play)] \
-            -command [itcl::code $this flow toggle] 
+            -command [itcl::code $this flow toggle]
     }
     set fg [option get $itk_component(hull) font Font]
@@ -457,5 +452,5 @@
     } {
         usual
-        ignore -highlightthickness 
+        ignore -highlightthickness
         rename -background -controlbackground controlBackground Background
     }
@@ -466,5 +461,5 @@
     } {
         usual
-        ignore -highlightthickness 
+        ignore -highlightthickness
         rename -background -controlbackground controlBackground Background
     }
@@ -476,5 +471,5 @@
     } {
         usual
-        ignore -highlightthickness 
+        ignore -highlightthickness
         rename -background -controlbackground controlBackground Background
     }
@@ -493,7 +488,7 @@
         0,4 $itk_component(dial) -fill x -padx {2 0 } \
         0,5 $itk_component(duration) -padx { 0 0} \
-        0,7 $itk_component(speed) -padx {2 3} 
-
-#        0,6 $itk_component(speedlabel) -padx {2 0} 
+        0,7 $itk_component(speed) -padx {2 3}
+
+#        0,6 $itk_component(speedlabel) -padx {2 0}
     blt::table configure $itk_component(flowcontrols) c* -resize none
     blt::table configure $itk_component(flowcontrols) c4 -resize both
@@ -695,5 +690,5 @@
     # If anything changed, then rebuild the plot
     if {$changed} {
-        # Repair the reverse lookup 
+        # Repair the reverse lookup
         foreach tf [array names _style2objs] {
             set list {}
@@ -728,6 +723,6 @@
         -opacity 0.5
     }
-    array unset _limits 
-    array unset _volcomponents 
+    array unset _limits
+    array unset _volcomponents
     foreach dataobj $args {
         if { ![$dataobj isvalid] } {
@@ -873,5 +868,5 @@
         return 0
     }
-    set _reset 1 
+    set _reset 1
     set result [VisViewer::Connect $_hosts]
     if { $result } {
@@ -883,11 +878,11 @@
             set info {}
             set user "???"
-	    if { [info exists env(USER)] } {
+            if { [info exists env(USER)] } {
                 set user $env(USER)
-	    }
+            }
             set session "???"
-	    if { [info exists env(SESSION)] } {
+            if { [info exists env(SESSION)] } {
                 set session $env(SESSION)
-	    }
+            }
             lappend info "version" "$Rappture::version"
             lappend info "build" "$Rappture::build"
@@ -990,9 +985,9 @@
             $_image(plot) configure -data $bytes
             #puts stderr "image received [image width $_image(plot)] by [image height $_image(plot)]"
-        } 
+        }
         "print" {
             set tag $this-$info(-token)
             set _hardcopy($tag) $bytes
-        } 
+        }
         "movie" {
             set tag $this-$info(-token)
@@ -1010,10 +1005,10 @@
 #       The procedure is the response from the render server to each "legend"
 #       command.  The server sends back a "legend" command invoked our
-#       the slave interpreter.  The purpose is to collect data of the image 
+#       the slave interpreter.  The purpose is to collect data of the image
 #       representing the legend in the canvas.  In addition, the isomarkers
 #       of the active transfer function are displayed.
 #
 #       I don't know is this is the right place to display the isomarkers.
-#       I don't know all the different paths used to draw the plot. There's 
+#       I don't know all the different paths used to draw the plot. There's
 #       "Rebuild", "add", etc.
 #
@@ -1100,5 +1095,5 @@
 # Called automatically whenever something changes that affects the data
 # in the widget.  Clears any existing data and rebuilds the widget to
-# display new data.  
+# display new data.
 #
 itcl::body Rappture::FlowvisViewer::Rebuild {} {
@@ -1113,5 +1108,5 @@
     # Turn on buffering of commands to the server.  We don't want to
     # be preempted by a server disconnect/reconnect (which automatically
-    # generates a new call to Rebuild).   
+    # generates a new call to Rebuild).
     StartBufferingCommands
 
@@ -1461,7 +1456,7 @@
                 record {
                     if { [$itk_component(rewind) cget -relief] != "sunken" } {
-                        $itk_component(rewind) configure -relief sunken 
-                        $itk_component(stop) configure -relief raised 
-                        $itk_component(play) configure -relief raised 
+                        $itk_component(rewind) configure -relief sunken
+                        $itk_component(stop) configure -relief raised
+                        $itk_component(play) configure -relief raised
                         set inner $itk_component(settingsFrame)
                         set frames [$inner.framecnt value]
@@ -1473,7 +1468,7 @@
                 stop {
                     if { [$itk_component(stop) cget -relief] != "sunken" } {
-                        $itk_component(rewind) configure -relief raised 
-                        $itk_component(stop) configure -relief sunken 
-                        $itk_component(play) configure -relief raised 
+                        $itk_component(rewind) configure -relief raised
+                        $itk_component(stop) configure -relief sunken
+                        $itk_component(play) configure -relief raised
                         _pause
                         set cmds "flow reset"
@@ -1484,8 +1479,8 @@
                     if { [$itk_component(play) cget -relief] != "sunken" } {
                         $itk_component(rewind) configure -relief raised
-                        $itk_component(stop) configure -relief raised 
+                        $itk_component(stop) configure -relief raised
                         $itk_component(play) configure \
                             -image [Rappture::icon flow-pause] \
-                            -relief sunken 
+                            -relief sunken
                         bind $itk_component(play) <ButtonPress> \
                             [itcl::code $this _pause]
@@ -1527,5 +1522,5 @@
     $itk_component(play) configure \
         -image [Rappture::icon flow-start] \
-        -relief raised 
+        -relief raised
     bind $itk_component(play) <ButtonPress> \
         [itcl::code $this Flow movie play toggle]
@@ -1555,7 +1550,7 @@
     switch -- $what {
         colormap {
-            set color [$itk_component(colormap) value] 
-            set _settings(colormap) $color 
-            #ResetColormap $color 
+            set color [$itk_component(colormap) value]
+            set _settings(colormap) $color
+            #ResetColormap $color
         }
         light {
@@ -1622,5 +1617,5 @@
                 blt::table $itk_component(plotarea) \
                     0,0 $itk_component(3dview) -fill both \
-                    1,0 $itk_component(legend) -fill x 
+                    1,0 $itk_component(legend) -fill x
                 blt::table configure $itk_component(plotarea) r1 -resize none
             } else {
@@ -1639,5 +1634,5 @@
             set bool $_settings($this-$what)
             if { [isconnected] } {
-                set vols [CurrentVolumeIds -cutplanes] 
+                set vols [CurrentVolumeIds -cutplanes]
                 SendCmd "cutplane state $bool $axis $vols"
             }
@@ -1743,7 +1738,7 @@
     # reference.
     #
-    # FIXME: The current way we generate transfer-function names completely 
-    #        ignores the -markers option.  The problem is that we are forced 
-    #        to compute the name from an increasing complex set of values: 
+    # FIXME: The current way we generate transfer-function names completely
+    #        ignores the -markers option.  The problem is that we are forced
+    #        to compute the name from an increasing complex set of values:
     #        color, levels, marker, opacity.  I think the cow's out of the
     #        barn on this one.
@@ -1891,5 +1886,5 @@
             $itk_component(legend) itemconfigure labels -fill $itk_option(-plotforeground)
             $m relval $x
-            lappend _isomarkers($tf) $m 
+            lappend _isomarkers($tf) $m
         }
     } else {
@@ -1898,5 +1893,5 @@
             $itk_component(legend) itemconfigure labels -fill $itk_option(-plotforeground)
             $m relval $x
-            lappend _isomarkers($tf) $m 
+            lappend _isomarkers($tf) $m
         }
     }
@@ -1905,5 +1900,5 @@
 #
 # The -markers option takes a list of zero or more values (the values
-# may be separated either by spaces or commas) that have the following 
+# may be separated either by spaces or commas) that have the following
 # format:
 #
@@ -1921,5 +1916,5 @@
         set n [scan $marker "%g%s" value suffix]
         if { $n == 2 && $suffix == "%" } {
-            # ${n}% : Set relative value. 
+            # ${n}% : Set relative value.
             set value [expr {$value * 0.01}]
             set m [Rappture::IsoMarker \#auto $c $this $tf]
@@ -1938,5 +1933,5 @@
 
 # ----------------------------------------------------------------------
-# USAGE: UndateTransferFuncs 
+# USAGE: UndateTransferFuncs
 # ----------------------------------------------------------------------
 itcl::body Rappture::FlowvisViewer::updateTransferFunctions {} {
@@ -1948,5 +1943,5 @@
         error "active transfer function isn't set"
     }
-    set tf $_activeTf 
+    set tf $_activeTf
     set c $itk_component(legend)
     set m [Rappture::IsoMarker \#auto $c $this $tf]
@@ -2107,5 +2102,5 @@
         2,0 $inner.outline  -cspan 2 -anchor w \
         3,0 $inner.volume  -cspan 2 -anchor w \
-        4,0 $inner.legend  -cspan 2 -anchor w 
+        4,0 $inner.legend  -cspan 2 -anchor w
 
     bind $inner <Map> [itcl::code $this GetFlowInfo $inner]
@@ -2157,5 +2152,5 @@
     label $inner.thick -text "Thick" -font $fg
 
-    label $inner.colormap_l -text "Colormap" -font "Arial 9" 
+    label $inner.colormap_l -text "Colormap" -font "Arial 9"
     itk_component add colormap {
         Rappture::Combobox $inner.colormap -width 10 -editable no
@@ -2292,19 +2287,19 @@
     $inner configure -borderwidth 4
 
-    label $inner.view_l -text "view" -font "Arial 9" 
-    set f [frame $inner.view] 
-    foreach side { front back left right top bottom } { 
+    label $inner.view_l -text "view" -font "Arial 9"
+    set f [frame $inner.view]
+    foreach side { front back left right top bottom } {
         button $f.$side  -image [Rappture::icon view$side] \
-            -command [itcl::code $this SetOrientation $side] 
-        Rappture::Tooltip::for $f.$side "Change the view to $side" 
-        pack $f.$side -side left 
+            -command [itcl::code $this SetOrientation $side]
+        Rappture::Tooltip::for $f.$side "Change the view to $side"
+        pack $f.$side -side left
     }
 
     blt::table $inner \
         0,0 $inner.view_l -anchor e -pady 2 \
-        0,1 $inner.view -anchor w -pady 2 
+        0,1 $inner.view -anchor w -pady 2
     blt::table configure $inner r0 -resize none
 
-    set row 1 
+    set row 1
     set labels { qw qx qy qz xpan ypan zoom }
     foreach tag $labels {
@@ -2360,5 +2355,5 @@
     blt::table $inner \
         1,0 $inner.showstreams  -anchor w \
-        2,0 $inner.showarrows  -anchor w 
+        2,0 $inner.showarrows  -anchor w
     blt::table configure $inner c0 c1 -resize none
     blt::table configure $inner c2 -resize expand
@@ -2383,8 +2378,8 @@
             -font "Arial 9"
         Rappture::Tooltip::for $inner.part$row $info(description)
-        blt::table $inner $row,0 $inner.part$row -anchor w 
+        blt::table $inner $row,0 $inner.part$row -anchor w
         if { !$_settings($this-particles-$name) } {
             $inner.part$row select
-        } 
+        }
         incr row
     }
@@ -2410,5 +2405,5 @@
         if { !$_settings($this-box-$name) } {
             $inner.box$row select
-        } 
+        }
         incr row
     }
@@ -2416,5 +2411,5 @@
     blt::table configure $inner r$row -resize expand
     blt::table configure $inner c3 -resize expand
-    event generate [winfo parent [winfo parent $w]] <Configure> 
+    event generate [winfo parent [winfo parent $w]] <Configure>
 }
 
@@ -2510,7 +2505,7 @@
 }
 
-#  camera -- 
+#  camera --
 itcl::body Rappture::FlowvisViewer::camera {option args} {
-    switch -- $option { 
+    switch -- $option {
         "show" {
             puts [array get _view]
@@ -2597,5 +2592,5 @@
         append cmd " -corner1 {$info(corner1)} "
         append cmd " -corner2 {$info(corner2)}\n"
-    }    
+    }
     append cmd "$tag data follows $nbytes $extents\n"
     return $cmd
@@ -2665,5 +2660,5 @@
         "stop" {
             if { $_flow(state) } {
-                flow off 
+                flow off
                 flow reset
             }
@@ -2671,5 +2666,5 @@
         "pause" {
             if { $_flow(state) } {
-                flow off 
+                flow off
             }
         }
@@ -2684,5 +2679,5 @@
                     set _settings($this-step) 1
                     SendCmd "flow reset"
-                } 
+                }
                 flow next
             }
@@ -2691,5 +2686,5 @@
             if { $_settings($this-play) } {
                 flow play
-            } else { 
+            } else {
                 flow pause
             }
@@ -2716,5 +2711,5 @@
             }
             $_dispatcher event -after $_flow(delay) !play
-        } 
+        }
         default {
             error "bad option \"$option\": should be play, stop, toggle, or reset."
@@ -2767,7 +2762,7 @@
             1,0 $inner.please -anchor w \
             1,1 $inner.icon -anchor e  \
-            2,0 $inner.cancel -cspan 2 
-        blt::table configure $inner r0 -pady 4 
-        blt::table configure $inner r2 -pady 4 
+            2,0 $inner.cancel -cspan 2
+        blt::table configure $inner r0 -pady 4
+        blt::table configure $inner r2 -pady 4
         bind $inner.cancel <KeyPress-Return> [list $inner.cancel invoke]
     } else {
@@ -2785,7 +2780,7 @@
     update idletasks
     update
-    # We wait here for either 
-    #  1) the png to be delivered or 
-    #  2) timeout or  
+    # We wait here for either
+    #  1) the png to be delivered or
+    #  2) timeout or
     #  3) user cancels the operation.
     tkwait variable $var
@@ -2826,12 +2821,12 @@
             1,0 $inner.please -anchor w \
             1,1 $inner.icon -anchor e  \
-            2,0 $inner.cancel -cspan 2 
-        blt::table configure $inner r0 -pady 4 
-        blt::table configure $inner r2 -pady 4 
+            2,0 $inner.cancel -cspan 2
+        blt::table configure $inner r0 -pady 4
+        blt::table configure $inner r2 -pady 4
         bind $inner.cancel <KeyPress-Return> [list $inner.cancel invoke]
     } else {
         set inner [$popup component inner]
     }
-    update 
+    update
     # Timeout is set to 10 minutes.
     $_dispatcher event -after 600000 !movietimeout
@@ -2839,5 +2834,5 @@
     grab set $inner
     focus $inner.cancel
-    
+
     flow duration
     flow speed
@@ -2851,11 +2846,11 @@
     set start [clock seconds]
     SendCmd "flow video $token -width $w -height $h -numframes $nframes "
-    
+
     $popup activate $widget below
-    update idletasks 
+    update idletasks
     update
     # We wait here until
-    #  1. the movie is delivered or 
-    #  2. we've timed out or  
+    #  1. the movie is delivered or
+    #  2. we've timed out or
     #  3. the user has canceled the operation.b
     tkwait variable $var
@@ -2872,5 +2867,5 @@
 
     # This will both cancel the movie generation (if it hasn't already
-    # completed) and reset the flow. 
+    # completed) and reset the flow.
     SendCmd "flow reset"
     if { $_hardcopy($this-$token) != "" } {
@@ -2906,19 +2901,19 @@
 }
 
-itcl::body Rappture::FlowvisViewer::SetOrientation { side } { 
-    array set positions { 
-        front "1 0 0 0" 
-        back  "0 0 1 0" 
-        left  "0.707107 0 -0.707107 0" 
-        right "0.707107 0 0.707107 0" 
-        top   "0.707107 -0.707107 0 0" 
-        bottom "0.707107 0.707107 0 0" 
-    } 
-    foreach name { -qw -qx -qy -qz } value $positions($side) { 
+itcl::body Rappture::FlowvisViewer::SetOrientation { side } {
+    array set positions {
+        front "1 0 0 0"
+        back  "0 0 1 0"
+        left  "0.707107 0 -0.707107 0"
+        right "0.707107 0 0.707107 0"
+        top   "0.707107 -0.707107 0 0"
+        bottom "0.707107 0.707107 0 0"
+    }
+    foreach name { -qw -qx -qy -qz } value $positions($side) {
         set _view($name) $value
-    } 
+    }
     set q [ViewToQuaternion]
     $_arcball quaternion $q
-    SendCmd "camera orient $q" 
+    SendCmd "camera orient $q"
     SendCmd "camera reset"
     set _view(-xpan) 0.0
@@ -2931,5 +2926,5 @@
 
 # Reset global settings from dataset's settings.
-itcl::body Rappture::FlowvisViewer::BuildVolumeComponents {} { 
+itcl::body Rappture::FlowvisViewer::BuildVolumeComponents {} {
     $itk_component(volcomponents) choices delete 0 end
     foreach name $_componentsList {
@@ -2941,5 +2936,5 @@
 
 # Reset global settings from dataset's settings.
-itcl::body Rappture::FlowvisViewer::GetDatasetsWithComponent { cname } { 
+itcl::body Rappture::FlowvisViewer::GetDatasetsWithComponent { cname } {
     if { ![info exists _volcomponents($cname)] } {
         return ""
Index: branches/1.4/gui/scripts/nanovisviewer.tcl
===================================================================
--- branches/1.4/gui/scripts/nanovisviewer.tcl	(revision 5096)
+++ branches/1.4/gui/scripts/nanovisviewer.tcl	(revision 5101)
@@ -1,3 +1,3 @@
-# -*- mode: tcl; indent-tabs-mode: nil -*- 
+# -*- mode: tcl; indent-tabs-mode: nil -*-
 # ----------------------------------------------------------------------
 #  COMPONENT: nanovisviewer - 3D volume rendering
@@ -19,7 +19,7 @@
 #
 # FIXME:
-#       Need to Add DX readers this client to examine the data before 
+#       Need to Add DX readers this client to examine the data before
 #       it's sent to the server.  This will eliminate 90% of the insanity in
-#       computing the limits of all the volumes.  I can rip out all the 
+#       computing the limits of all the volumes.  I can rip out all the
 #       "receive data" "send transfer function" event crap.
 #
@@ -29,5 +29,5 @@
 #       when a new volume is drawn (using the default transfer function) and
 #       then when the correct transfer function has been sent and linked to
-#       the volume.  
+#       the volume.
 #
 option add *NanovisViewer.width 4i widgetDefault
@@ -75,6 +75,6 @@
     public method isconnected {}
     public method limits { tf }
-    public method parameters {title args} { 
-        # do nothing 
+    public method parameters {title args} {
+        # do nothing
     }
     public method scale {args}
@@ -83,5 +83,5 @@
     # The following methods are only used by this class.
 
-    private method AddNewMarker { x y } 
+    private method AddNewMarker { x y }
     private method AdjustSetting {what {value ""}}
     private method BuildCameraTab {}
@@ -90,5 +90,5 @@
     private method BuildVolumeComponents {}
     private method BuildVolumeTab {}
-    private method ComputeAlphamap { cname } 
+    private method ComputeAlphamap { cname }
     private method ComputeTransferFunction { cname }
     private method Connect {}
@@ -97,15 +97,15 @@
     private method DoResize {}
     private method DrawLegend { cname }
-    private method EventuallyRedrawLegend { } 
-    private method EventuallyResize { w h } 
+    private method EventuallyRedrawLegend { }
+    private method EventuallyResize { w h }
     private method FixLegend {}
-    private method GetAlphamap { cname color } 
-    private method GetColormap { cname color } 
-    private method GetDatasetsWithComponent { cname } 
+    private method GetAlphamap { cname color }
+    private method GetColormap { cname color }
+    private method GetDatasetsWithComponent { cname }
     private method GetVolumeInfo { w }
-    private method HideAllMarkers {} 
-    private method InitComponentSettings { cname } 
+    private method HideAllMarkers {}
+    private method InitComponentSettings { cname }
     private method InitSettings { args }
-    private method NameToAlphamap { name } 
+    private method NameToAlphamap { name }
     private method NameTransferFunction { dataobj comp }
     private method Pan {option x y}
@@ -113,5 +113,5 @@
     private method ParseLevelsOption { cname levels }
     private method ParseMarkersOption { cname markers }
-    private method QuaternionToView { q } { 
+    private method QuaternionToView { q } {
         foreach { _view(-qw) _view(-qx) _view(-qy) _view(-qz) } $q break
     }
@@ -128,7 +128,7 @@
     private method Slice {option args}
     private method SlicerTip {axis}
-    private method SwitchComponent { cname } 
+    private method SwitchComponent { cname }
     private method ToggleVolume { tag name }
-    private method ViewToQuaternion {} { 
+    private method ViewToQuaternion {} {
         return [list $_view(-qw) $_view(-qx) $_view(-qy) $_view(-qz)]
     }
@@ -137,14 +137,14 @@
     private variable _arcball ""
 
-    private variable _dlist ""     ;# list of data objects
-    private variable _obj2ovride   ;# maps dataobj => style override
-    private variable _serverDatasets   ;# contains all the dataobj-component 
-                                   ;# to volumes in the server
+    private variable _dlist ""         ;# list of data objects
+    private variable _obj2ovride       ;# maps dataobj => style override
+    private variable _serverDatasets   ;# contains all the dataobj-component
+                                       ;# to volumes in the server
     private variable _recvdDatasets;    # list of data objs to send to server
     private variable _dataset2style;    # maps dataobj-component to transfunc
-    private variable _style2datasets;   # maps tf back to list of 
+    private variable _style2datasets;   # maps tf back to list of
                                         # dataobj-components using the tf.
 
-    private variable _reset 1;		# Connection to server has been reset.
+    private variable _reset 1;          # Connection to server has been reset.
     private variable _click;            # Info used for rotate operations.
     private variable _limits;           # Autoscale min/max for all axes
@@ -156,7 +156,7 @@
 
     private variable _first "" ;        # This is the topmost volume.
-    private variable _current "";       # Currently selected component 
-    private variable _volcomponents   ; # Array of components found 
-    private variable _componentsList   ; # Array of components found 
+    private variable _current "";       # Currently selected component
+    private variable _volcomponents    ;# Array of components found
+    private variable _componentsList   ;# Array of components found
     private variable _cname2style
     private variable _cname2transferFunction
@@ -319,5 +319,5 @@
             -offimage [Rappture::icon cutbutton] \
             -variable [itcl::scope _settings(-cutplanesvisible)] \
-            -command [itcl::code $this AdjustSetting -cutplanesvisible] 
+            -command [itcl::code $this AdjustSetting -cutplanesvisible]
     }
     Rappture::Tooltip::for $itk_component(cutplane) \
@@ -331,5 +331,5 @@
         BuildCameraTab
     } errs] != 0 } {
-	global errorInfo
+        global errorInfo
         puts stderr "errs=$errs errorInfo=$errorInfo"
     }
@@ -351,5 +351,5 @@
         [list focus $itk_component(legend)]
 
-    # Hack around the Tk panewindow.  The problem is that the requested 
+    # Hack around the Tk panewindow.  The problem is that the requested
     # size of the 3d view isn't set until an image is retrieved from
     # the server.  So the panewindow uses the tiny size.
@@ -358,5 +358,5 @@
     blt::table $itk_component(plotarea) \
         0,0 $itk_component(3dview) -fill both -reqwidth $w \
-        1,0 $itk_component(legend) -fill x 
+        1,0 $itk_component(legend) -fill x
     blt::table configure $itk_component(plotarea) r1 -resize none
 
@@ -433,5 +433,5 @@
     }
     catch { blt::arcball destroy $_arcball }
-    array unset _settings 
+    array unset _settings
 }
 
@@ -567,6 +567,6 @@
         -markers  ""
     }
-    array unset _limits 
-    array unset _volcomponents 
+    array unset _limits
+    array unset _volcomponents
     foreach dataobj $args {
         if { ![$dataobj isvalid] } {
@@ -636,5 +636,5 @@
             # to the BLT picture image it won't be necessary to decode the
             # image data.
-            if { [image width $_image(plot)] > 0 && 
+            if { [image width $_image(plot)] > 0 &&
                  [image height $_image(plot)] > 0 } {
                 set bytes [$_image(plot) data -format "jpeg -quality 100"]
@@ -662,5 +662,5 @@
         return 0
     }
-    set _reset 1 
+    set _reset 1
     set result [VisViewer::Connect $_hosts]
     if { $result } {
@@ -753,5 +753,5 @@
     ReceiveEcho <<line "<read $info(-bytes) bytes"
     if { $info(-type) == "image" } {
-        ReceiveEcho "for [image width $_image(plot)]x[image height $_image(plot)] image>"       
+        ReceiveEcho "for [image width $_image(plot)]x[image height $_image(plot)] image>"
         $_image(plot) configure -data $bytes
     } elseif { $info(-type) == "print" } {
@@ -804,5 +804,5 @@
     # The colormap may have changed. Resync the slicers with the colormap.
     InitSettings -cutplanesvisible -xcutplanevisible -ycutplanevisible \
-        -zcutplanevisible 
+        -zcutplanevisible
 }
 
@@ -813,5 +813,5 @@
 #       The procedure is the response from the render server to each "legend"
 #       command.  The server sends back a "legend" command invoked our
-#       the slave interpreter.  The purpose is to collect data of the image 
+#       the slave interpreter.  The purpose is to collect data of the image
 #       representing the legend in the canvas.  In addition, the
 #       active transfer function is displayed.
@@ -896,5 +896,5 @@
     # Turn on buffering of commands to the server.  We don't want to
     # be preempted by a server disconnect/reconnect (which automatically
-    # generates a new call to Rebuild).   
+    # generates a new call to Rebuild).
     StartBufferingCommands
 
@@ -952,14 +952,14 @@
     set _first [lindex [get] 0]
     if { $_reset } {
-	#
-	# Reset the camera and other view parameters
-	#
+        #
+        # Reset the camera and other view parameters
+        #
         set _settings(-qw)    $_view(-qw)
         set _settings(-qx)    $_view(-qx)
         set _settings(-qy)    $_view(-qy)
         set _settings(-qz)    $_view(-qz)
-	set _settings(-xpan)  $_view(-xpan)
-	set _settings(-ypan)  $_view(-ypan)
-	set _settings(-zoom)  $_view(-zoom)
+        set _settings(-xpan)  $_view(-xpan)
+        set _settings(-ypan)  $_view(-ypan)
+        set _settings(-zoom)  $_view(-zoom)
 
         set q [ViewToQuaternion]
@@ -967,7 +967,7 @@
         SendCmd "camera orient $q"
         SendCmd "camera reset"
-	PanCamera
-	SendCmd "camera zoom $_view(-zoom)"
-	
+        PanCamera
+        SendCmd "camera zoom $_view(-zoom)"
+
         #cutplane state 0 all
         foreach axis {x y z} {
@@ -979,14 +979,14 @@
             -isosurfaceshading -gridvisible -axesvisible \
 
-	if {"" != $_first} {
-	    set axis [$_first hints updir]
-	    if { "" != $axis } {
-		SendCmd "up $axis"
-	    }
-	    set location [$_first hints camera]
-	    if { $location != "" } {
-		array set _view $location
-	    }
-	}
+        if {"" != $_first} {
+            set axis [$_first hints updir]
+            if { "" != $axis } {
+                SendCmd "up $axis"
+            }
+            set location [$_first hints camera]
+            if { $location != "" } {
+                array set _view $location
+            }
+        }
     }
 
@@ -994,5 +994,5 @@
     SendCmd "volume state 0"
     if {"" != $_first} {
-        set datasets [array names _serverDatasets $_first-*] 
+        set datasets [array names _serverDatasets $_first-*]
         if { $datasets != "" } {
             SendCmd "volume state 1 $datasets"
@@ -1076,5 +1076,5 @@
                 }
             }
-            set q [ViewToQuaternion]          
+            set q [ViewToQuaternion]
             $_arcball quaternion $q
             SendCmd "camera orient $q"
@@ -1227,12 +1227,12 @@
         "-background" {
             set bgcolor [$itk_component(background) value]
-	    array set fgcolors {
-		"black" "white"
-		"white" "black"
-		"grey"	"black"
-	    }
+            array set fgcolors {
+                "black" "white"
+                "white" "black"
+                "grey"  "black"
+            }
             configure -plotbackground $bgcolor \
-		-plotforeground $fgcolors($bgcolor)
- 	    DrawLegend $_current
+                -plotforeground $fgcolors($bgcolor)
+            DrawLegend $_current
         }
         "-colormap" {
@@ -1273,5 +1273,5 @@
                 blt::table $itk_component(plotarea) \
                     0,0 $itk_component(3dview) -fill both \
-                    1,0 $itk_component(legend) -fill x 
+                    1,0 $itk_component(legend) -fill x
                 blt::table configure $itk_component(plotarea) r1 -resize none
             } else {
@@ -1313,5 +1313,5 @@
             # have to synchronize each of the local controls (see below) with
             # this.
-            set datasets [CurrentDatasets] 
+            set datasets [CurrentDatasets]
             set bool $_settings($what)
             SendCmd "volume data state $bool $datasets"
@@ -1329,5 +1329,5 @@
         }
         "-volumevisible" {
-            # This is the component specific control.  It changes the 
+            # This is the component specific control.  It changes the
             # visibility of only the current component.
             set _settings($_current${what}) $_settings($what)
@@ -1340,5 +1340,5 @@
             set bool $_settings($what)
             # We only set cutplanes on the first dataset.
-            set datasets [CurrentDatasets -cutplanes] 
+            set datasets [CurrentDatasets -cutplanes]
             set tag [lindex $datasets 0]
             if { $_settings(-cutplanesvisible) } {
@@ -1452,5 +1452,5 @@
             ParseLevelsOption $cname $styles(-levels)
         }
-        
+
     }
     set wmap [ComputeAlphamap $cname]
@@ -1473,5 +1473,5 @@
     }
     # Add a new marker to the current transfer function
-    $_transferFunctionEditors($_current) deleteMarker $x $y 
+    $_transferFunctionEditors($_current) deleteMarker $x $y
 }
 
@@ -1498,6 +1498,6 @@
         SendCmd "grid axiscolor $rgb"
         SendCmd "grid linecolor $rgb"
-        $itk_component(legend) itemconfigure labels -fill $color 
-        $itk_component(legend) itemconfigure limits -fill $color 
+        $itk_component(legend) itemconfigure labels -fill $color
+        $itk_component(legend) itemconfigure limits -fill $color
     }
 }
@@ -1546,5 +1546,5 @@
 #
 # The -markers option takes a list of zero or more values (the values
-# may be separated either by spaces or commas) that have the following 
+# may be separated either by spaces or commas) that have the following
 # format:
 #
@@ -1564,5 +1564,5 @@
         set n [scan $marker "%g%s" value suffix]
         if { $n == 2 && $suffix == "%" } {
-            # $n% : Set relative value (0..1). 
+            # $n% : Set relative value (0..1).
             lappend list [expr {$value * 0.01}]
         } else {
@@ -1577,5 +1577,5 @@
 
 # ----------------------------------------------------------------------
-# USAGE: UndateTransferFuncs 
+# USAGE: UndateTransferFuncs
 # ----------------------------------------------------------------------
 itcl::body Rappture::NanovisViewer::updateTransferFunctions {} {
@@ -1604,5 +1604,5 @@
     if { $min != "" } {
         set _limits(min) $min
-    } 
+    }
     if { $max != "" } {
         set _limits(max) $max
@@ -1658,5 +1658,5 @@
         -font "Arial 9"
 
-    label $inner.background_l -text "Background" -font "Arial 9" 
+    label $inner.background_l -text "Background" -font "Arial 9"
     itk_component add background {
         Rappture::Combobox $inner.background -width 10 -editable no
@@ -1665,5 +1665,5 @@
         "black"              "black"            \
         "white"              "white"            \
-        "grey"               "grey"             
+        "grey"               "grey"
 
     $itk_component(background) value $_settings(-background)
@@ -1729,5 +1729,5 @@
     label $inner.thick -text "Thick" -font $fg
 
-    # Colormap 
+    # Colormap
     label $inner.colormap_l -text "Colormap" -font $fg
     itk_component add colormap {
@@ -1984,8 +1984,8 @@
 }
 
-#  camera -- 
+#  camera --
 #
 itcl::body Rappture::NanovisViewer::camera {option args} {
-    switch -- $option { 
+    switch -- $option {
         "show" {
             puts [array get _view]
@@ -2061,8 +2061,8 @@
             -font "Arial 9"
         Rappture::Tooltip::for $inner.vol$row $info(description)
-        blt::table $inner $row,0 $inner.vol$row -anchor w 
+        blt::table $inner $row,0 $inner.vol$row -anchor w
         if { !$_settings(-volume-$name) } {
             $inner.vol$row select
-        } 
+        }
         incr row
     }
@@ -2070,5 +2070,5 @@
     blt::table configure $inner r$row -resize expand
     blt::table configure $inner c3 -resize expand
-    event generate [winfo parent [winfo parent $w]] <Configure> 
+    event generate [winfo parent [winfo parent $w]] <Configure>
 }
 
@@ -2078,5 +2078,5 @@
 }
 
-itcl::body Rappture::NanovisViewer::SetOrientation { side } { 
+itcl::body Rappture::NanovisViewer::SetOrientation { side } {
     array set positions {
         front "1 0 0 0"
@@ -2089,8 +2089,8 @@
     foreach name { -qw -qx -qy -qz } value $positions($side) {
         set _view($name) $value
-    } 
+    }
     set q [ViewToQuaternion]
     $_arcball quaternion $q
-    SendCmd "camera orient $q" 
+    SendCmd "camera orient $q"
     SendCmd "camera reset"
     set _view(-xpan) 0
@@ -2110,5 +2110,5 @@
 #    time we try to switch to a given component in SwitchComponent below.
 #
-itcl::body Rappture::NanovisViewer::InitComponentSettings { cname } { 
+itcl::body Rappture::NanovisViewer::InitComponentSettings { cname } {
     foreach {key value} {
         -colormap          "default"
@@ -2133,5 +2133,5 @@
 #    with the settings of the new current component.
 #
-itcl::body Rappture::NanovisViewer::SwitchComponent { cname } { 
+itcl::body Rappture::NanovisViewer::SwitchComponent { cname } {
     if { ![info exists _settings($cname-light)] } {
         InitComponentSettings $cname
@@ -2164,5 +2164,5 @@
 #    volume settings tab.
 #
-itcl::body Rappture::NanovisViewer::BuildVolumeComponents {} { 
+itcl::body Rappture::NanovisViewer::BuildVolumeComponents {} {
     $itk_component(volcomponents) choices delete 0 end
     foreach name $_componentsList {
@@ -2174,12 +2174,12 @@
     if { [llength $_componentsList] <= 1 } {
         # Unpack the components label and dropdown if there's only one
-        # component. 
+        # component.
         blt::table forget $parent.volcomponents_l $parent.volcomponents
     } else {
-        # Pack the components label and dropdown into the table there's 
-        # more than one component to select. 
+        # Pack the components label and dropdown into the table there's
+        # more than one component to select.
         blt::table $parent \
             0,0 $parent.volcomponents_l -anchor e -cspan 2 \
-            0,2 $parent.volcomponents -cspan 3 -fill x 
+            0,2 $parent.volcomponents -cspan 3 -fill x
     }
 }
@@ -2193,5 +2193,5 @@
 #    volumes that have the current component.
 #
-itcl::body Rappture::NanovisViewer::GetDatasetsWithComponent { cname } { 
+itcl::body Rappture::NanovisViewer::GetDatasetsWithComponent { cname } {
     if { ![info exists _volcomponents($cname)] } {
         return ""
@@ -2214,11 +2214,11 @@
 #    created, deleted, or moved markers.
 #
-itcl::body Rappture::NanovisViewer::HideAllMarkers {} { 
+itcl::body Rappture::NanovisViewer::HideAllMarkers {} {
     foreach cname [array names _transferFunctionEditors] {
-        $_transferFunctionEditors($cname) hideMarkers 
-    }
-}
-
-itcl::body Rappture::NanovisViewer::GetColormap { cname color } { 
+        $_transferFunctionEditors($cname) hideMarkers
+    }
+}
+
+itcl::body Rappture::NanovisViewer::GetColormap { cname color } {
     if { $color == "default" } {
         return $_cname2defaultcolormap($cname)
@@ -2227,5 +2227,5 @@
 }
 
-itcl::body Rappture::NanovisViewer::GetAlphamap { cname name } { 
+itcl::body Rappture::NanovisViewer::GetAlphamap { cname name } {
     if { $name == "default" } {
         return $_cname2defaultalphamap($cname)
@@ -2234,5 +2234,5 @@
 }
 
-itcl::body Rappture::NanovisViewer::ResetColormap { cname color } { 
+itcl::body Rappture::NanovisViewer::ResetColormap { cname color } {
     # Get the current transfer function
     if { ![info exists _cname2transferFunction($cname)] } {
@@ -2246,5 +2246,5 @@
 }
 
-itcl::body Rappture::NanovisViewer::ComputeAlphamap { cname } { 
+itcl::body Rappture::NanovisViewer::ComputeAlphamap { cname } {
     if { ![info exists _transferFunctionEditors($cname)] } {
         return [list 0.0 0.0 1.0 1.0]
@@ -2265,5 +2265,5 @@
     # Scale values between 0.00001 and 0.01000
     set delta [expr {double($_settings($cname-thickness)) * 0.0001}]
-    
+
     set first [lindex $isovalues 0]
     set last [lindex $isovalues end]
@@ -2312,41 +2312,41 @@
     switch -- $name {
         "ramp-up" {
-            set wmap { 
-                0.0 0.0 
-                1.0 1.0 
+            set wmap {
+                0.0 0.0
+                1.0 1.0
             }
         }
         "ramp-down" {
-            set wmap { 
-                0.0 1.0 
-                1.0 0.0 
+            set wmap {
+                0.0 1.0
+                1.0 0.0
             }
         }
         "vee" {
-            set wmap { 
-                0.0 1.0 
-                0.5 0.0 
-                1.0 1.0 
+            set wmap {
+                0.0 1.0
+                0.5 0.0
+                1.0 1.0
             }
         }
         "tent-1" {
-            set wmap { 
-                0.0 0.0 
-                0.5 1.0 
-                1.0 0.0 
+            set wmap {
+                0.0 0.0
+                0.5 1.0
+                1.0 0.0
             }
         }
         "tent-2" {
-            set wmap { 
-                0.0 0.0 
-                0.25 1.0 
-                0.5 0.0 
-                0.75 1.0 
-                1.0 0.0 
+            set wmap {
+                0.0 0.0
+                0.25 1.0
+                0.5 0.0
+                0.75 1.0
+                1.0 0.0
             }
         }
         "tent-3" {
-            set wmap { 
-                0.0 0.0 
+            set wmap {
+                0.0 0.0
                 0.16666 1.0
                 0.33333 0.0
@@ -2354,43 +2354,43 @@
                 0.66666 0.0
                 0.83333 1.0
-                1.0 0.0 
+                1.0 0.0
             }
         }
         "tent-4" {
-            set wmap { 
-                0.0     0.0 
+            set wmap {
+                0.0     0.0
                 0.125   1.0
                 0.25    0.0
                 0.375   1.0
-                0.5     0.0        
+                0.5     0.0
                 0.625   1.0
                 0.75    0.0
                 0.875   1.0
-                1.0     0.0 
+                1.0     0.0
             }
         }
         "sinusoid-1" {
             set wmap {
-                0.0                     0.000 0.600 0.800 
-                0.14285714285714285     0.400 0.900 1.000 
-                0.2857142857142857      0.600 1.000 1.000 
-                0.42857142857142855     0.800 1.000 1.000 
-                0.5714285714285714      0.900 0.900 0.900 
-                0.7142857142857143      0.600 0.600 0.600 
-                0.8571428571428571      0.400 0.400 0.400 
+                0.0                     0.000 0.600 0.800
+                0.14285714285714285     0.400 0.900 1.000
+                0.2857142857142857      0.600 1.000 1.000
+                0.42857142857142855     0.800 1.000 1.000
+                0.5714285714285714      0.900 0.900 0.900
+                0.7142857142857143      0.600 0.600 0.600
+                0.8571428571428571      0.400 0.400 0.400
                 1.0                     0.200 0.200 0.200
             }
         }
         "sinusoid-2" {
-            set wmap { 
-                0.0                     0.900 1.000 1.000 
-                0.1111111111111111      0.800 0.983 1.000 
-                0.2222222222222222      0.700 0.950 1.000 
-                0.3333333333333333      0.600 0.900 1.000 
-                0.4444444444444444      0.500 0.833 1.000 
-                0.5555555555555556      0.400 0.750 1.000 
-                0.6666666666666666      0.300 0.650 1.000 
-                0.7777777777777778      0.200 0.533 1.000 
-                0.8888888888888888      0.100 0.400 1.000 
+            set wmap {
+                0.0                     0.900 1.000 1.000
+                0.1111111111111111      0.800 0.983 1.000
+                0.2222222222222222      0.700 0.950 1.000
+                0.3333333333333333      0.600 0.900 1.000
+                0.4444444444444444      0.500 0.833 1.000
+                0.5555555555555556      0.400 0.750 1.000
+                0.6666666666666666      0.300 0.650 1.000
+                0.7777777777777778      0.200 0.533 1.000
+                0.8888888888888888      0.100 0.400 1.000
                 1.0                     0.000 0.250 1.000
             }
@@ -2398,32 +2398,32 @@
         "sinusoid-6" {
             set wmap {
-                0.0                             0.200   0.100   0.000 
-                0.09090909090909091             0.400   0.187   0.000 
-                0.18181818181818182             0.600   0.379   0.210 
-                0.2727272727272727              0.800   0.608   0.480 
-                0.36363636363636365             0.850   0.688   0.595 
-                0.45454545454545453             0.950   0.855   0.808 
-                0.5454545454545454              0.800   0.993   1.000 
-                0.6363636363636364              0.600   0.973   1.000 
-                0.7272727272727273              0.400   0.940   1.000 
-                0.8181818181818182              0.200   0.893   1.000 
-                0.9090909090909091              0.000   0.667   0.800 
-                1.0                             0.000   0.480   0.600 
+                0.0                             0.200   0.100   0.000
+                0.09090909090909091             0.400   0.187   0.000
+                0.18181818181818182             0.600   0.379   0.210
+                0.2727272727272727              0.800   0.608   0.480
+                0.36363636363636365             0.850   0.688   0.595
+                0.45454545454545453             0.950   0.855   0.808
+                0.5454545454545454              0.800   0.993   1.000
+                0.6363636363636364              0.600   0.973   1.000
+                0.7272727272727273              0.400   0.940   1.000
+                0.8181818181818182              0.200   0.893   1.000
+                0.9090909090909091              0.000   0.667   0.800
+                1.0                             0.000   0.480   0.600
             }
         }
         "sinusoid-10" {
             set wmap {
-                0.0                             0.000   0.480   0.600 
-                0.09090909090909091             0.000   0.667   0.800 
-                0.18181818181818182             0.200   0.893   1.000 
-                0.2727272727272727              0.400   0.940   1.000 
-                0.36363636363636365             0.600   0.973   1.000 
-                0.45454545454545453             0.800   0.993   1.000 
-                0.5454545454545454              0.950   0.855   0.808 
-                0.6363636363636364              0.850   0.688   0.595 
-                0.7272727272727273              0.800   0.608   0.480 
-                0.8181818181818182              0.600   0.379   0.210 
-                0.9090909090909091              0.400   0.187   0.000 
-                1.0                             0.200   0.100   0.000 
+                0.0                             0.000   0.480   0.600
+                0.09090909090909091             0.000   0.667   0.800
+                0.18181818181818182             0.200   0.893   1.000
+                0.2727272727272727              0.400   0.940   1.000
+                0.36363636363636365             0.600   0.973   1.000
+                0.45454545454545453             0.800   0.993   1.000
+                0.5454545454545454              0.950   0.855   0.808
+                0.6363636363636364              0.850   0.688   0.595
+                0.7272727272727273              0.800   0.608   0.480
+                0.8181818181818182              0.600   0.379   0.210
+                0.9090909090909091              0.400   0.187   0.000
+                1.0                             0.200   0.100   0.000
             }
         }
@@ -2463,10 +2463,10 @@
             set wmap {
                 "#EE82EE"
-                "#4B0082" 
-                "blue" 
-                "#008000" 
-                "yellow" 
-                "#FFA500" 
-                "red" 
+                "#4B0082"
+                "blue"
+                "#008000"
+                "yellow"
+                "#FFA500"
+                "red"
             }
         }
